<?php require_once('../../Connections/cn.php'); ?>
<?php 
//Aqui quito caracteres que estan demas en el filtro que viene de otra pagina 
session_start();
  header("Content-Type:text/html; charset=utf-8");
  // Captura la datos del usuario que se logueó (Cédula, Tipo de Usuario y Username).
  $cedula_usuario=$_SESSION['CEDULA_USUARIO'];
  $username=$_SESSION['MM_Username'];
  $tipo_usuario=$_SESSION['PRIVILEGIO'];

  mysql_select_db("siga_pregrado");
  mysql_query ("SET NAMES 'utf8'"); 
  $sql = "select apellidos,nombres from usuarios where cedula='$cedula_usuario'";
  $rs=mysql_query($sql,$cn);
  $row=mysql_fetch_array($rs);
  $generador=$row['nombres'].', '.$row['apellidos'];
  $generador=mb_convert_case($generador,MB_CASE_TITLE,"UTF-8");

    $id_carrera=$_GET['id_carrera'];
	//$id_sede=$_GET['id_sede'];
	$cedula=$_GET['id_alumno'];
	$a=$_GET['a'];
	/*$id_carrera='30A';
	$id_sede='14';
	$id_alumno='13';*/
	mysql_select_db($database_cn, $cn);
	mysql_query ("SET NAMES 'utf8'");
    
    $sql = "SELECT id_alumno,plan_estudio FROM alumnos WHERE cedula='$cedula'";
	$rs = mysql_query($sql, $cn);
	$row = mysql_fetch_assoc($rs);
	$id_alumno=$row['id_alumno'];
	$plan_estudio=$row['plan_estudio'];
	
	$sql0 = "SELECT sede,seccion,mencion FROM carreras_alumno WHERE id_alumno='$id_alumno' AND id_carrera='$id_carrera'";
	$rs0 = mysql_query($sql0, $cn);
	$row0 = mysql_fetch_assoc($rs0);
	$id_sede=$row0['sede'];
	$cohorte=$row0['seccion'];
	$mencion_alumno=$row0['mencion'];
     
	if($mencion_alumno=="COMUN") $mencion="COMPONENTE GENERAL";
	if($mencion_alumno=="ACE") $mencion="ADUANAS Y COMERCIO EXTERIOR";
	if($mencion_alumno=="RT") $mencion="RENTAS";
	if($mencion_alumno=="FIN") $mencion="FINANZAS PÚBLICAS"; 
     	
	$sql1 = "SELECT * FROM carreras WHERE id_carrera='$id_carrera'";
	$rs1 = mysql_query($sql1, $cn);
	$row1 = mysql_fetch_assoc($rs1);
	$carrera=$row1['nombre_carrera'];

	
	$sql2 = "SELECT * FROM menciones WHERE id_carrera='$id_carrera' and id_mencion='$mencion_alumno'";
	$rs2 = mysql_query($sql2, $cn);
	$row2 = mysql_fetch_assoc($rs2);
	$num_materias=$row2['num_materias'];
	$num_creditos=$row2['creditos_grado'];
	if($num_materias==0) $num_materias=62;
	if($num_creditos==0) $num_creditos=155;
	
	$sql = "SELECT * FROM alumnos WHERE id_alumno='$id_alumno'";
	$rs = mysql_query($sql, $cn);
	$row = mysql_fetch_assoc($rs);
	$completo=$row['nombres']." ".$row['apellidos'];
	
	
	$cedula=$row['cedula'];
	$tipodoc=$row['tipo_doc'];
	$sexo=$row['sexo'];
	if ($sexo=='1'){
		$inscrito='inscrita';
		$ciudadano='de la ciudadana: ';
		$portador='';
		}
		else {
		$inscrito='inscrito';
		$ciudadano='del ciudadano: ';
		$portador='';
		}
		
	if(substr($tipodoc,0,1)=="C") {
	    $documento=' Cédula de Identidad';
		}
				else {	
		 $documento=$portador.' Pasaporte';}
	
    // Busca el nombre de la sede.
	$sql_sede = "SELECT nombre_sede FROM sedes WHERE codigo='$id_sede'";
	$rs_sede = mysql_query($sql_sede, $cn);
	$row_sede = mysql_fetch_assoc($rs_sede);
	$nombre_sede="Caracas";
	//$row_sede['ciudad_sede'];
	
	$fecha1 = explode("-",date("Y-m-d")); 
	$fecha2 = $fecha1[0].$fecha1[1].$fecha1[2]; 
	$fecha = cambioFecha($fecha2); 
$sqlr = str_replace("`", "", $sqlr); 
$sqlr = str_replace("\'", '"', $sqlr); 

$periodo=$_GET['id_periodo'];
$nivel=$_GET['nivel'];
if($nivel=="SA") $nivel="";

// Selecciono la Base de Datos. 
mysql_select_db($database_cn); 
mysql_query ("SET NAMES 'utf8'");


// Datos del Per�odo.
$sql2 = "select * from periodos where id_periodo='$periodo'";
$rs2=mysql_query($sql2,$cn);
$row2=mysql_fetch_array($rs2);
$descripcion=' ('.$row2['mes_inicio'].'-'.$row2['mes_fin'].')';
$codigo_periodo=$row2['codigo'].'-'.$row2['tipo'].$descripcion;


//Datos de la Sede
$nombre_sede="TODAS";
if($sede!=0){
   $sql2 = "select * from sedes where codigo='$sede'";
   $rs2=mysql_query($sql2,$cn);
   $row2=mysql_fetch_array($rs2);
   $nombre_sede=$row2['nombre_sede'];
}

$nombre_semestre="TODOS";
if($semestre!="99") $nombre_semestre=$semestre;

$nombre_mencion="TODAS";
if($nivel=="CIU") $nombre_mencion="CURSO DE INICIACIÓN UNIVERSITARIA";
if($nivel=="CG") {
   $nombre_mencion="COMPONENTE GENERAL";
   $nivel="COMUN";
}   
if($nivel=="ACE") $nombre_mencion="ADUANAS Y COMERCIO EXTERIOR";
if($nivel=="RT") $nombre_mencion="RENTAS";
if($nivel=="FIN") $nombre_mencion="FINANZAS PÚBLICAS";


// Datos de la Carrera.
$sql3 = "select nombre_carrera from carreras where id_carrera='$carrera'";
$rs3=mysql_query($sql3,$cn);
$row3=mysql_fetch_array($rs3);
$nom_carrera=$row3['nombre_carrera'];


   
// Incluye la calses que se requieren para el reporte. 
error_reporting(E_ALL); 
include('class.ezpdf.php'); 
require('numerosALetras.class.php');

// Se establece el tipo de p�gina y el formato de impresi�n.
$pdf = & new Cezpdf('letter','portraid'); 

$pdf->selectFont('./fonts/Helvetica'); 
// Se inicializa el contador de paginas en 1 y se especifica en que lugar se va a imprimir 

$pdf->ezStartPageNumbers(558,20,7,'','{PAGENUM}/{TOTALPAGENUM}',1); 

// coloca una linea arriba y abajo de todas las paginas 
$fechs = date("d/m/y"); 
$all = $pdf->openObject(); 

$pdf->saveState(); 
$pdf->setStrokeColor(0,0,0,1); 
// Se define el query de los datos que contendr� el reporte.
mysql_select_db($database_cn, $cn);
$query = "SELECT alumnos.cedula, alumnos.apellidos, alumnos.nombres, historico_notas.nota, historico_notas.id_materia, historico_notas.id_seccion, historico_notas.id_periodo, materias.nombre_materia, materias.uc, periodos.codigo, carreras.id_carrera, historico_notas.aprobacion, historico_notas.semestre, periodos.mes_inicio, periodos.mes_fin, periodos.tipo, historico_notas.valoracion,historico_notas.cualitativa FROM alumnos,historico_notas, materias, periodos,carreras WHERE alumnos.id_alumno=historico_notas.id_alumno and historico_notas.id_carrera='$id_carrera' and carreras.id_carrera='$id_carrera' and historico_notas.id_materia=materias.id_materia and historico_notas.id_carrera=materias.id_carrera and historico_notas.id_alumno='$id_alumno' and periodos.id_periodo=historico_notas.id_periodo and (materias.id_mencion='$mencion_alumno' or materias.id_mencion='COMUN') and materias.semestre=historico_notas.semestre order by periodos.id_periodo,historico_notas.semestre,materias.nombre_materia";

//$query=$query. " ORDER BY convert(alumnos.cedula,signed)";

//echo $query;
// Ejecuta el Query.

$resultx = mysql_query ($query) or die (mysql_error()); 
		$result99 = mysql_query ($query ) or die (mysql_error()); 

		$totalRows = mysql_num_rows($resultx);
// Se obtienen los datos del docente que dict� la materia.


// Inicio del Encabezado.
$imagen=ImageCreatefromjpeg('../../imagenes/logo_mpppf_v2_2016.jpg');
$pdf->addImage($imagen,60,$pdf->y-25,500,0);
$pdf->setColor(0, 0 ,0);
$pdf->selectFont('/fonts/Helvetica.afm');
$diff=array(225=>'aacute',233=>'eacute',
            237=>'iacute',243=>'oacute',
            250=>'uacute',252=>'udieresis',
            241=>'ntilde',209=>'Ntilde');
$pdf->selectFont('fonts/Helvetica.afm',array('encoding'=>'WinAnsiEncoding','differences'=>$diff));
$pdf->ezsetdy(-28);
$pdf->ezText(utf8_decode("<b>Dirección de Secretaría General - Unidad de Control de Estudios de Pregrado</b>"),8.5,array('justification'=>'center'));
$pdf->addText(478,730,9,utf8_decode("RIF. G-20010531-3"));
$pdf->ezsetdy(-15);
$pdf->ezText('<b>'.utf8_decode("CERTIFICACIÓN ACADÉMICA DE CALIFICACIONES").'</b>',13,array('justification'=>'center'));
$pdf->ezsetdy(-15);
// $pdf->ezSetCmMargins(3,2.5,2.5,2.5);


// Fin del Encabezado.
// Inicio del Pie de P�gina.
//pie_pagina($pdf, $cedula_docente, $nom_docente);
// Fin del Pie de P�gina.

// Se restaura el objeto y se cierra, para que de el salto de p�gina.
$pdf->restoreState();
$pdf->closeObject(); 
// Establece los margenes para imprimir el cuerpo del reporte.
$pdf->addObject($all,'all'); 
$pdf->ezSetCmMargins(3,2.5,2.5,2.5);
$texto=utf8_decode("El suscrito, Director General de la Escuela Nacional de Administración y Hacienda Pública, Instituto Universitario de Tecnología (ENAHP-IUT), autorizado para expedir la presente constancia, según Resolución conjunta de los Ministerios de Hacienda y Educación números 2.109 y 84 respectivamente, de fecha 19 de enero de 1989, publicada en Gaceta Oficial número 34.145 de fecha 26 de enero de 1989, certifica por medio de la presente, que en los archivos de la Unidad de Control de Estudios de Pregrado, que reposan en la institución, aparece como estudiante y corren insertos los siguientes datos: ");
$pdf->ezText($texto,10,array('justification'=>'full','spacing'=>'1.2'));
$pdf->ezsetdy(-10);
$pdf->ezText('<b>'."ESTUDIANTE: ".'</b>'.utf8_decode($completo),10,array('justification'=>'full','spacing'=>'1.2'));
// $pdf->ezText(utf8_decode('<b>'."CÉDULA DE IDENTIDAD: ".'</b>').$cedula,10,array('justification'=>'full','spacing'=>'1.2'));
$pdf->ezText(utf8_decode('<b>'."CÉDULA DE IDENTIDAD: ".'</b>').number_format($cedula,0,"","."),10,array('justification'=>'full','spacing'=>'1.2'));
$pdf->ezText('<b>'."CARRERA: ".'</b>'.utf8_decode($carrera),10,array('justification'=>'full','spacing'=>'1.2'));
$pdf->ezText('<b>'.utf8_decode("MENCIÓN: ").'</b>'.utf8_decode($mencion),10,array('justification'=>'full','spacing'=>'1.2'));
$pdf->ezsetdy(-10);
$pdf->line(58,40,558,40);
 
 $pdf->addText(90,30,8,utf8_decode("Av. Francisco de Miranda, entre Av. Diego Cisneros y Calle Los Laboratorios, Edif. ENAHP-IUT, Los Cortijos de Lourdes."));
 $pdf->addText(150,20,8,utf8_decode("Caracas - Venezuela. Teléfonos: (0212) 232.32.31 - Extensión 412.")); 	 

//
$pdf->ezSetCmMargins(6.5,2,3.5,2.5);
// Inicializa array 
$data = array(); 
//Aqui se coloca el header de la Tabla 
$cols = array('codigo'=>utf8_decode('CÓDIGO'), 
					  'sem'=>'SEM.',
					  'seccion'=>'SECC.', 
					  'asignatura'=>'UNIDAD CURRICULAR', 
					  'credito'=>'U.C.', 
					  'nota'=>'NOTA',
					  'enletras'=>'EN LETRAS'); 
$smc = 0; 
// Convierte la Nota a Letras.
$nota = new numerosALetras;

$total_notas=0;
		$total_uc=0;
		$materias_aprob=0;
		$creditos_aprob=0;
		$materias_repro=0;
		$creditos_repro=0;
		$l=0;
		$sw=false;
		$row99 = mysql_fetch_row($result99);
		$periodo=$row99[6];
		$codigo_periodo1=$row99[9];
		$codigo_periodo=$row99[9].' '.$row99[15].' ('.$row99[13].'-'.$row99[14].')';
		if ($totalRows==0) {
		    $sw=false;
		}
		else {
		    $sw=true;
		}	
		$rowxx = mysql_fetch_row($resultx);
		
		while ($sw) { 
              $periodo1=$rowxx[6];
			  $data[] = array('codigo'=>'',
							'sem'=>'',
							'seccion'=>'',
							'asignatura'=>"<u><b>LAPSO: ".$codigo_periodo."</b></u>", 
							'credito'=>'',
							'nota'=>'', 
							'enletras'=>''); 
							
			   if ($plan_estudio=="5"){
			      $data[] = array('codigo'=>utf8_decode('<u><b>'.'CÓDIGO'.'</b></u>'), 
					  'sem'=>utf8_decode('<u><b>AÑO/SEM.</b></u>'),
					  'seccion'=>'<u><b>SECC.</b></u>', 
					  'asignatura'=>'                                '.'<u><b>UNIDAD CURRICULAR</b></u>', 
					  'credito'=>'<u><b>UC</b></u>', 
					  'nota'=>'<u><b>NOTA</b></u>',
					  'enletras'=>'<u><b>EN LETRAS</b></u>'); 
			  }	
			  else {
			  
			       $data[] = array('codigo'=>utf8_decode('<u><b>'.'CÓDIGO'.'</b></u>'), 
					  'sem'=>'<u><b>SEM.</b></u>',
					  'seccion'=>'<u><b>SECC.</b></u>', 
					  'asignatura'=>'                                '.'<u><b>UNIDAD CURRICULAR</b></u>', 
					  'credito'=>'<u><b>UC</b></u>', 
					  'nota'=>'<u><b>NOTA</b></u>',
					  'enletras'=>'<u><b>EN LETRAS</b></u>'); 
		    
		      }			  
			  $total_notas_lapso=0;
			  $total_uc_lapso=0;
			  
			  while ($periodo==$periodo1) {
			   	
			        $codigo      = $rowxx[4];    // id_materia 
			        $seccion     = $rowxx[5];    // seccion 
			        $asignatura  = utf8_decode($rowxx[7]);    // nombre materia 
			        $credito     = $rowxx[8];    // unidades de credito 
			        $not      = $rowxx[3];    // nota
					$not=str_pad($not,2,0,STR_PAD_LEFT);
					$aprobacion      = $rowxx[11];    // nota
                    $semestre      = $rowxx[12];
					$mes_inicio    = $rowxx[13];
					$mes_fin      = $rowxx[14];
					$tipo      = $rowxx[15];
                    $valoracion      = $rowxx[16];  // CUALITATIVA O CUANTITATIVA
                    $cualitativa     = $rowxx[17];  // APROBADA O REPROBADA
					
					if($valoracion=="CUANTITATIVA") {
						$total_notas=$total_notas+($not*$credito);
						$total_uc=$total_uc+$credito;
						$total_notas_lapso=$total_notas_lapso+($not*$credito);
						$total_uc_lapso=$total_uc_lapso+$credito;
									
						   if ($not>=10) {
						       if($semestre>0){
							      $materias_aprob=$materias_aprob+1;
							      $creditos_aprob=$creditos_aprob+$credito;
						       }
						   }
						   else {
						        if($semestre>0){
						           $materias_repro=$materias_repro+1;
						           $creditos_repro=$creditos_repro+$credito;
							    }	   
						   }
						
					}
						
					$enlet=nota_en_letras($rowxx[3]);
					
					if($valoracion=="CUALITATIVA") {
					
                          if($cualitativa=="APROBADA" or $cualitativa=="APROBADO"){
					         $not="AP";
					         $enlet="Aprobada";
						     if($semestre>0){
							    $materias_aprob=$materias_aprob+1;
                   		        $creditos_aprob=$creditos_aprob+$credito;
                             }     
                          }
                          else{
                              $not="RE";
					          $enlet="Reprobada";
						      if($semestre>0){
							     $materias_repro=$materias_repro+1;
						         $creditos_repro=$creditos_repro+$credito;
						      }	  
                          }
						                        
					} 
					// Materia cursada por Prueba Extraordinaria
					if($aprobacion=="PE") {
                       if($not>=16){
					       $enlet=$enlet." (PE-AP)";
						   $materias_aprob=$materias_aprob+1;
						   $creditos_aprob=$creditos_aprob+$credito;
                       }
                       else{
					       $enlet=$enlet." (PE-RE)";
						   $materias_repro=$materias_repro+1;
						   $creditos_repro=$creditos_repro+$credito;
                       }  
                                             
					}    		   						
					$data[] = array('codigo'=>$codigo,
							'sem'=>$semestre,
							'seccion'=>$seccion, 
							'asignatura'=>$asignatura, 
							'credito'=>$credito,
							'nota'=>$not, 
							'enletras'=>$enlet); 
							$sw=true;
					$rowxx = mysql_fetch_row($resultx);
					if (!$rowxx) {
					    $sw=false;
	                }			
					$periodo1 = $rowxx[6];				
				} 
				if($total_uc_lapso==0) {
				   $indice_lapso=0;
				 }
				 else {
				    $indice_lapso=$total_notas_lapso/$total_uc_lapso;
                }
				$indice_lapso=number_format($indice_lapso,2,",",".");
			
				$data[] = array('codigo'=>'',
							'sem'=>'',
							'seccion'=>'', 
							'asignatura'=>"<b>          IDA del Lapso ".$codigo_periodo1.": ".$indice_lapso."</b>", 
							'credito'=>'',
							'nota'=>'', 
							'enletras'=>'');
				
				$periodo=$rowxx[6];
				$codigo_periodo1=$rowxx[9];
                                $codigo_periodo=$rowxx[9].' '.$rowxx[15].' ('.$rowxx[13].'-'.$rowxx[14].')';				
		}
// pie_pagina($pdf,$materias_aprob,$materias_repro,$creditos_aprob,$creditos_repro,$total_notas,$total_uc,$num_materias,$num_creditos);  
		$la_config=array('showHeadings'=>0, // Mostrar encabezados
		'fontSize' => 8, // Tama�o de Letras
		'titleFontSize' => 8,  // Tama�o de Letras de los t�tulos
		'showLines'=>0, // Mostrar L�neas
		'shaded'=>0, // Sombra entre l�neas
		'width'=>730, // Ancho de la tabla
		'maxWidth'=>730, // Ancho M�ximo de la tabla
		'xOrientation'=>'center', // Orientaci�n de la tabla
		'cols'=>array(
			'codigo'=>array('justification'=>'center','width'=>70),
			'sem'=>array('justification'=>'center','width'=>50),
			'seccion'=>array('justification'=>'center','width'=>35),
			'asignatura'=>array('justification'=>'left','width'=>210),
			'credito'=>array('justification'=>'center','width'=>25),
			'nota'=>array('justification'=>'center','width'=>35),
			'enletras'=>array('justification'=>'left','width'=>90)));
		$diff=array(225=>'aacute',233=>'eacute',
            237=>'iacute',243=>'oacute',
            250=>'uacute',252=>'udieresis',
            241=>'ntilde',209=>'Ntilde');
		$pdf->selectFont('./fonts/Helvetica.afm',array('encoding'=>'WinAnsiEncoding','differences'=>$diff));		
		$pdf->ezTable($data,$cols,'',$la_config);
if (isset($d) && $d){ 
	$pdfcode = $pdf->ezOutput(); 
	$pdfcode = str_replace('\n','\n<br>',htmlspecialchars($pdfcode)); 
	echo '<html><body>'; 
	echo trim($pdfcode); 
	echo '</body></html>'; 
} 
else {
  $paginas = array();
  $id=2;
  $pdf->ezSetCmMargins(6.5,2,2.5,2.5);
  foreach ($pdf->ezPages as $pageNum=>$id){
     	 
    if($pageNum>1){
	      
	    $pdf->reopenObject($id);
        $pdf->line(58,40,558,40);
     $pdf->addText(90,30,8,utf8_decode("Av. Francisco de Miranda, entre Av. Diego Cisneros y Calle Los Laboratorios, Edif. ENAHP-IUT, Los Cortijos de Lourdes."));
    $pdf->addText(150,20,8,utf8_decode("Caracas - Venezuela. Teléfonos: (0212) 232.32.31 - Extensión 412.")); 
		$pdf->addText(68,665,10,utf8_decode('<b>'."ESTUDIANTE: ".'</b>').utf8_decode($completo));
	    $pdf->addText(68,650,10,utf8_decode('<b>'."CÉDULA DE IDENTIDAD: ".'</b>').utf8_decode(number_format($cedula,0,"",".")));
	    
            $pdf->addText(68,635,10,utf8_decode('<b>'."CARRERA: ".'</b>').utf8_decode($carrera));
	    $pdf->addText(68,620,10,utf8_decode('<b>'."MENCIÓN: ".'</b>').utf8_decode($mencion));
        $pdf->closeObject();
		}
}

$pdf->ezText("**************************************************************************************************************************************",9,array('justification'=>'full'));


  

$pdf->ezNewPage();
$imagen1=ImageCreatefromjpeg('../../imagenes/corazon.jpg');
$pdf->addImage($imagen1,70,$pdf->y-530,65,0);	
$imagen1=ImageCreatefromjpeg('../../imagenes/Pueblo_Victorioso.jpg');
$pdf->addImage($imagen1,470,$pdf->y-530,45,0);	
$diff=array(225=>'aacute',233=>'eacute',
            237=>'iacute',243=>'oacute',
            250=>'uacute',252=>'udieresis',
            241=>'ntilde',209=>'Ntilde');			
$pdf->selectFont('fonts/Helvetica.afm',array('encoding'=>'WinAnsiEncoding','differences'=>$diff));	

        $pdf->line(58,40,558,40);
     $pdf->addText(90,30,8,utf8_decode("Av. Francisco de Miranda, entre Av. Diego Cisneros y Calle Los Laboratorios, Edif. ENAHP-IUT, Los Cortijos de Lourdes."));
    $pdf->addText(150,20,8,utf8_decode("Caracas - Venezuela. Teléfonos: (0212) 232.32.31 - Extensión 412.")); 
		
    
$pdf->addText(68,665,10,utf8_decode('<b>'."ESTUDIANTE: ".'</b>').utf8_decode($completo));
	    $pdf->addText(68,650,10,utf8_decode('<b>'."CÉDULA DE IDENTIDAD: ".'</b>').utf8_decode(number_format($cedula,0,"",".")));
	    $pdf->addText(68,635,10,utf8_decode('<b>'."CARRERA: ".'</b>').utf8_decode($carrera));
	    $pdf->addText(68,620,10,utf8_decode('<b>'."MENCIÓN: ".'</b>').utf8_decode($mencion));

 pie_pagina($pdf,$materias_aprob,$materias_repro,$creditos_aprob,$creditos_repro,$total_notas,$total_uc,$num_materias,$num_creditos); 
$pdf->ezsetdy(-60);

$pdf->ezText('<b>'."ABREVIATURAS:".'</b>',7,array('justification'=>'full'));
$pdf->ezsetdy(-3);
$pdf->ezText('<b>'."SEM.: ".'</b>'.utf8_decode(" Semestre ").'<b>'."SECC.:".'</b>'.utf8_decode(" Sección ").'<b>'."UC:".'</b>'.utf8_decode(" Unidades Crédito").'</b>'.'<b>'." IDA:".'</b>'.utf8_decode(" Indice de Desempeño Académico").'<b>'." PE:".'</b>'.utf8_decode(" Prueba Extraordinaria").'<b>'." AP:".'</b>'.utf8_decode(" Aprobada"),7,array('justification'=>'full'));
$pdf->ezText('<b>'."RE:".'</b>'.utf8_decode(" Reprobada").'<b>'." OB:".'</b>'.utf8_decode(" Nota de Observación"),7,array('justification'=>'full'));
$pdf->ezsetdy(-7);
$pdf->ezText('<b>'."NORMAS".'</b>',7,array('justification'=>'full'));
$pdf->ezsetdy(-2);
$pdf->ezText(utf8_decode("1) La Escala de Calificaciones está comprendida del uno (1) al veinte (20), ambas inclusive."),7,array('justification'=>'full'));
$pdf->ezsetdy(-2);
$pdf->ezText(utf8_decode("2) La calificación mínima aprobatoria es de DIEZ (10) puntos."),7,array('justification'=>'full'));
$pdf->ezsetdy(-2);
$pdf->ezText(utf8_decode("3) La calificación mínima aprobatoria para la unidades curriculares cursadas por Prueba Extraordinaria es de DIECISEIS (16) puntos."),7,array('justification'=>'full'));
$pdf->ezsetdy(-2);
$pdf->ezText(utf8_decode("4) Los estudiantes al terminar su carga académica deben tener acumulado como mínimo un IDA de 12 puntos."),7,array('justification'=>'full'));

//nota
$pdf->ezsetdy(-7);
$pdf->ezText('<b>'."NOTA:".'</b>',7,array('justification'=>'full'));
$pdf->ezsetdy(-3);
$pdf->ezText(utf8_decode("Cualquier discrepancia encontrada entre este documento y las Actas Originales, se tomará como válida la calificación que indique el acta original."),7,array('justification'=>'full'));

//abreviaciones

$pdf->ezsetdy(-12);
$emitido=utf8_decode("Certificación que se expide a petición de la parte interesada en Caracas, $fecha.");
$pdf->ezText($emitido,11,array('justification'=>'full','spacing'=>'1.2'));

$pdf->ezsetdy(-30);
$pdf->ezText("Atentamente,",11,array('justification'=>'center'));
$pdf->ezsetdy(-60);
$pdf->ezText('<b>'.utf8_decode("Prof. Félix Manuel Naranjo Flores").'</b>',11,array('justification'=>'center'));
$pdf->ezsetdy(-1);
$pdf->ezText(utf8_decode("Director General de la Escuela Nacional de Administración y"),9,array('justification'=>'center'));
$pdf->ezsetdy(-1);
$pdf->ezText(utf8_decode("Hacienda Pública-IUT Resolución N° 019 de fecha 05/02/2014, Gaceta Oficial"),9,array('justification'=>'center'));
$pdf->ezsetdy(-1);
$pdf->ezText(utf8_decode("de la República Bolivariana de Venezuela N° 40.349 de fecha 05/02/2014"),9,array('justification'=>'center'));

$pdf->ezsetdy(-25);
$texto=utf8_decode("La Escuela Nacional de Administración y Hacienda Pública es un Instituto Universitario de Tecnología adscrito al Ministerio del Poder Popular de Planificación y Finanzas que se rige por su Reglamento General dictado por Resolución conjunta del Ministerio de Hacienda y del Ministerio de Educación (Artículo 10, Parágrafo Único de la Ley de Universidades) (Gaceta Oficial Nro. 34.145 de fecha 26/01/1989)");
$pdf->ezText($texto,7,array('justification'=>'full','spacing'=>'1.2'));
$pdf->ezsetdy(-20);
$pdf->ezText(utf8_decode("Elaborada por: ".$generador),6,array('justification'=>'left'));
 $pdf->ezText(utf8_decode("Revisada por: Prof. José N. Lugo García"),6,array('justification'=>'left'));
$pdf->ezsetdy(-25);

$pdf->setColor(1, 0 ,0);

$pdf->ezsetdy(-15);
 $pdf->ezText(utf8_decode('<b>'."Rumbo al Plan Estratégico 2014-2019".'</b>'),8,array('justification'=>'center'));
  $pdf->ezText(utf8_decode('<b>'."Un Sistema de Gestión con Visión Socialista".'</b>'),8,array('justification'=>'center'));
   $pdf->ezText(utf8_decode('<b>'."Impulsando la Refundación del Estado".'</b>'),8,array('justification'=>'center'));
$pdf->setColor(0, 0 ,0);	 
$pdf->ezStream();
} 

?>
<?php
function cambioFecha($fecha){ //$fecha es de este formato --> ej: 20081229 
	$tieneCeroDiaMes = substr($fecha,6,1); 
	if ($tieneCeroDiaMes == 0) { 
		$diaMes = substr($fecha,7,1); 
	} else { 
		$diaMes = substr($fecha,6,2); 
	} 
	
	$Mes = substr($fecha,4,2); 
	$Mes = str_replace("01","Enero",$Mes); 
	$Mes = str_replace("02","Febrero",$Mes); 
	$Mes = str_replace("03","Marzo",$Mes); 
	$Mes = str_replace("04","Abril",$Mes); 
	$Mes = str_replace("05","Mayo",$Mes); 
	$Mes = str_replace("06","Junio",$Mes); 
	$Mes = str_replace("07","Julio",$Mes); 
	$Mes = str_replace("08","Agosto",$Mes); 
	$Mes = str_replace("09","Septiembre",$Mes); 
	$Mes = str_replace("10","Octubre",$Mes); 
	$Mes = str_replace("11","Noviembre",$Mes); 
	$Mes = str_replace("12","Diciembre",$Mes); 
	
	$Anio = substr($fecha,0,4); 
	if ($diaMes=='1') {
	    return "al ".$diaMes." día del mes de ".$Mes." de ".$Anio."";
	}
	else {
	    return "a los ".$diaMes." días del mes de ".$Mes." de ".$Anio."";
	}
	 
}
	
	function nota_en_letras($nota)
{
   // Extraigo la parte entera y la parte decimal de la Nota.
   $entero=$nota;
   $decimal=substr($nota,2,2);
  
   // Convierto la Parte entera de la Nota en letras.
   switch ($entero)
   {
   	   
	  case 0:
	    $entero_en_letras='Cero';
		break;	
	  case 1:
	    $entero_en_letras='Cero Uno';
		break;	
	  case 2:
	  	$entero_en_letras='Cero Dos';
		break;
	  case 3:
	  	$entero_en_letras='Cero Tres';
		break;
	  case 4:
	  	$entero_en_letras='Cero Cuatro';
		break;
	  case 5:
	  	$entero_en_letras='Cero Cinco';
		break;
	  case 1:
	    $entero_en_letras='Cero Uno';
		break;	
	  case 2:
	  	$entero_en_letras='Cero Dos';
		break;
	  case 3:
	  	$entero_en_letras='Cero Tres';
		break;
	  case 4:
	  	$entero_en_letras='Cero Cuatro';
		break;
	  case 5:
	  	$entero_en_letras='Cero Cinco';
		break;case 1:
	  case 6:
	  	$entero_en_letras='Cero Seis';
		break;
	  case 7:
	  	$entero_en_letras='Cero Siete';
		break;
	  case 8:
	  	$entero_en_letras='Cero Ocho';
		break;
	  case 9:
	  	$entero_en_letras='Cero Nueve';
		break;	
	   case 10:

	  	$entero_en_letras='Diez';
		break;	
	  case 11:
	    $entero_en_letras='Once';
		break;	
	  case 12:
	  	$entero_en_letras='Doce';
		break;
	  case 13:
	  	$entero_en_letras='Trece';
		break;
	  case 14:
	  	$entero_en_letras='Catorce';
		break;
	  case 15:
	  	$entero_en_letras='Quince';
		break;
	  case 16:
	  	$entero_en_letras='Dieciseis';
		break;
	  case 17:
	  	$entero_en_letras='Diecisiete';
		break;
	  case 18:
	  	$entero_en_letras='Dieciocho';
		break;
	  case 19:
	  	$entero_en_letras='Diecinueve';
		break;	
	   case 20:
	  	$entero_en_letras='Veinte';
		break;		
		
   }
   
   $en_letras=$entero_en_letras;			     
   return $en_letras;
}


function pie_pagina($pdf,$materias_aprob,$materias_repro,$creditos_aprob,$creditos_repro,$total_notas,$total_uc,$num_materias,$num_creditos)
		{
		global $cedula;
		global $plan_estudio;
		global $cn;
			
			$total_materias=$materias_aprob+$materias_repro;
			$total_creditos=$creditos_aprob+$creditos_repro;
			if($plan_estudio=="5"){
			   $num_materias=$total_materias;
			   $num_creditos=$total_creditos;
			}   
			$materias_pendientes=$num_materias-$materias_aprob;
			if($materias_pendientes<0){
			   $materias_pendientes=0;
			}   
			$creditos_pendientes=$num_creditos-$creditos_aprob;
			if($creditos_pendientes<0){
			   $creditos_pendientes=0;
			}  
			$indice=0;
			if($total_notas!=0) $indice=$total_notas/$total_uc;
			$eficiencia=0;
			if($creditos_aprob!=0) $eficiencia=($creditos_aprob/$total_creditos);
			$eficiencia=number_format($eficiencia,2,",",".");
			$indice=number_format($indice,2,",",".");
			
			$query_rstGraduandos = "SELECT id_alumno FROM graduandos where cedula='$cedula'";
            $rstGraduandos = mysql_query($query_rstGraduandos, $cn) or die(mysql_error());
            $totalRows_rstGraduandos = mysql_num_rows($rstGraduandos);

            if($totalRows_rstGraduandos >0)
            {
			   if($materias_aprob>$num_materias){
			      $materias_pendientes=0;
			   }
			   else{
			       if($materias_aprob<$num_materias){
			          $num_materias=$materias_aprob;
			          $materias_pendientes=0;
			       }
			   }	
			     
			   if($creditos_aprob>$num_creditos){
			      $creditos_pendientes=0;
			   }
			   else{
			      if($creditos_aprob<$num_creditos){
			         $num_creditos=$creditos_aprob;
			         $creditos_pendientes=0;
				  }
			   }	  
            }
	
			$pdf->Rectangle(65,555,495,52);
			$pdf->addText(270,595,9,'<b>'.utf8_decode('RESUMEN ACADÉMICO').'</b>');
			$pdf->line(65,590,560,590); 
			
			$pdf->addText(70,580,8,'Unidades Curriculares del Programa');
			$pdf->addText(200,580,8,':');
			$pdf->addText(205,580,8,$num_materias);
		
			$pdf->addText(245,580,8,'Unidades Curriculares Aprobadas');
			$pdf->addText(368,580,8,':');
            $pdf->addText(373,580,8,$materias_aprob);
						
			$pdf->addText(410,580,8,'Unidades Curriculares por Aprobar');
			$pdf->addText(535,580,8,':');
			$pdf->addText(540,580,8,$materias_pendientes);
			
			$pdf->addText(70,570,8,utf8_decode('Unidades Créditos del Programa'));
			$pdf->addText(200,570,8,':');
			$pdf->addText(205,570,8,$num_creditos);
			
			$pdf->addText(245,570,8,utf8_decode('Unidades Créditos Aprobados'));
			$pdf->addText(368,570,8,':');
            $pdf->addText(373,570,8,$creditos_aprob);
			
			$pdf->addText(410,570,8,utf8_decode('Unidades Créditos por Aprobar'));
			$pdf->addText(535,570,8,':');                     
			$pdf->addText(540,570,8,$creditos_pendientes);
			
			$pdf->addText(70,560,8,utf8_decode('Indice de Desempeño Académico'));
			$pdf->addText(200,560,8,':');
			$pdf->addText(205,560,8,$indice);
			
			$pdf->addText(245,560,8,'Indice de Eficiencia');
			$pdf->addText(368,560,8,':');
            $pdf->addText(373,560,8,$eficiencia);
		}
		
		function normaliza($cadena){

    $originales = 'ÁÉÍÓÚABCDEFGHIJKLMNOPQRSTUVWXYZ';
    $modificadas = 'áéíóúabcdefghijklmnopqrstuvwxyz';
    $cadena = strtr($cadena, $originales, $modificadas);
	$cadena=ucwords($cadena);
	$cadena=str_replace("De","de",$cadena);
	$cadena=str_replace("En","en",$cadena);
	$cadena=str_replace("Y","y",$cadena);
    return $cadena;
}

function pie_pagina2($pdf,$materias_aprob,$materias_repro,$creditos_aprob,$creditos_repro,$total_notas,$total_uc,$num_materias,$num_creditos)
		{
		global $cedula;
			
			$total_materias=$materias_aprob+$materias_repro;
			$total_creditos=$creditos_aprob+$creditos_repro;
			$materias_pendientes=$num_materias-$materias_aprob;
			if($materias_pendientes<0){
			   $materias_pendientes=0;
			}   
			$creditos_pendientes=$num_creditos-$creditos_aprob;
			if($creditos_pendientes<0){
			   $creditos_pendientes=0;
			}  
			$indice=0;
			if($total_notas!=0) $indice=$total_notas/$total_uc;
			$eficiencia=0;
			if($creditos_aprob!=0) $eficiencia=($creditos_aprob/$total_creditos);
			$eficiencia=number_format($eficiencia,2,",",".");
			$indice=number_format($indice,2,",",".");
			
			
			
			$pdf->Rectangle(58,550,500,47);
			$pdf->addText(270,587,8,'<b>'.utf8_decode('RESUMEN ACADÉMICO').'</b>');
			$pdf->line(58,585,558,585); 
			
			$pdf->addText(65,575,8,'Unidades Curriculares del Programa');
			$pdf->addText(195,575,8,':');
			$pdf->addText(200,575,8,$num_materias);
		
			$pdf->addText(245,575,8,'Unidades Curriculares Aprobadas');
			$pdf->addText(368,575,8,':');
            $pdf->addText(373,575,8,$materias_aprob);
						
			$pdf->addText(410,575,8,'Unidades Curriculares por Aprobar');
			$pdf->addText(535,575,8,':');
			$pdf->addText(540,575,8,$materias_pendientes);
			
			$pdf->addText(65,565,8,utf8_decode('Unidades Créditos del Programa'));
			$pdf->addText(195,565,8,':');
			$pdf->addText(200,565,8,$num_creditos);
			
			$pdf->addText(245,565,8,utf8_decode('Unidades Créditos Aprobados'));
			$pdf->addText(368,565,8,':');
            $pdf->addText(373,565,8,$creditos_aprob);
			
			$pdf->addText(410,565,8,utf8_decode('Unidades Créditos por Aprobar'));
			$pdf->addText(535,565,8,':');                     
			$pdf->addText(540,565,8,$creditos_pendientes);
			
			$pdf->addText(65,555,8,utf8_decode('Indice de Desempeño Académico'));
			$pdf->addText(195,555,8,':');
			$pdf->addText(200,555,8,$indice);
			
			$pdf->addText(245,555,8,'Indice de Eficiencia');
			$pdf->addText(368,555,8,':');
            $pdf->addText(373,555,8,$eficiencia);
			$pdf->addText(58,535,9,'***********************************************************************************************************************************************');  
		}
		
		

?> 